@import url('https://fonts.googleapis.com/css2?family=Libre+Caslon+Text:ital,wght@0,400;0,700;1,400&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Oswald:wght@200..700&display=swap');

@font-face {
    font-family: 'millanovaregular';
    src: url('../assets/fonts/millanova-webfont.woff2') format('woff2'),
        url('../assets/fonts/millanova-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

:root {
    --font-1: "Oswald", sans-serif;
    --font-2: "Libre Caslon Text", serif;
    --font-3: "Montserrat", sans-serif;
    --font-4: "millanovaregular";
    --white: #ffffff;
    --pink: #de2192;
    --purple: #6b014d;

}

html,
body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.loader {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: #000000;
    display: flex;
    justify-content: center;
    align-items: center;
    perspective: 600px;
    z-index: 2000;
}

.axis {
    width: 0px;
    height: 0px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: end;
    transform-style: preserve-3d;
}

.main-circle {
    width: 60px;
    height: 60px;
    border-radius: 60px;
    background-color: #e4b13d;
    display: flex;
    justify-content: center;
    align-items: center;
    transform-style: preserve-3d;
    /* deja pasar el 3D hacia abajo */
    perspective: 600px;
}

.circle-sm {
    width: 10px;
    height: 10px;
    border-radius: 20px;
    background-color: #e4b13d;
    position: absolute;
    top: 0px;
    left: 50%;
    transform: translateX(-50%);
}

.radial-sm {
    height: 60px;
    width: 0px;
    transform-origin: center bottom;
    transform: rotate(calc(var(--radius) * 22.5deg));
    position: relative;
    transform-style: preserve-3d;
}


.radial-fish-green {
    height: 260px;
    width: 0px;
    transform-origin: center bottom;
    transform: rotate(200deg);
    position: relative;
    transform-style: preserve-3d;
}

.green-fish {
    width: 300px;
    height: auto;
    position: absolute;
    top: 0px;
    left: 50%;
    transform: translateX(-50%);
}


.radial-fish-pink {
    height: 260px;
    width: 0px;
    transform-origin: center bottom;
    transform: rotate(0deg);
    position: relative;
    transform-style: preserve-3d;
}

.pink-fish {
    width: 300px;
    height: auto;
    position: absolute;
    top: 0px;
    left: 50%;
    transform: translateX(-50%);
}

.circle-lg {
    width: 14px;
    height: 14px;
    border-radius: 20px;
    background-color: #e4b13d;
    position: absolute;
    top: 0px;
    left: 50%;
    transform: translateX(-50%);
}

.radial-lg {
    height: 100px;
    width: 0px;
    transform-origin: center bottom;
    transform: rotate(calc(var(--radius) * 22.5deg));
    position: relative;
}

footer {
    padding-top: 9%;
    padding-bottom: 3%;
}

.footer-content {
    border-top: solid 1px var(--pink);
    border-bottom: solid 1px var(--pink);
}

.footer-turismo {
    max-width: 150px;
    width: 20%;
    margin-left: 1%;
    margin-right: 1%;

}

.footer-zihua {
    max-width: 130px;
    width: 20%;
    margin-left: 1%;
    margin-right: 1%;
}

.footer-pueblo {
    max-width: 130px;
    width: 20%;
    margin-left: 1%;
    margin-right: 1%;
}

.footer-mexico {
    max-width: 100px;
    width: 20%;
    margin-left: 1%;
    margin-right: 1%;
}

.footer-iz {
    display: inline-block;
    width: 25%;
    margin-right: 8%;
}

.calendar-box {
    background-color: #89005d;
    background-image: url('../assets/layout/tail-1.svg'), url('../assets/layout/tail-2.svg');
    background-position: bottom left, top right;
    background-size: 60% auto;
    min-height: 300px;
    background-repeat: no-repeat;
}

.newsletter-box {
    background-image: url('../assets/layout/pink-back.svg');
    background-position: left center;
    background-size: cover;
}

.newsletter-form-box {
    margin-top: -25px;
    background-image: url('../assets/layout/pink-waves.svg');
    background-color: var(--pink);
    height: calc(100% + 50px);
    background-size: auto 230%;
    max-width: 350px;
}

.newsletter-form-content {
    background: #ffffff;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0) 20%, rgba(0, 0, 0, 0.26) 100%);
    height: 100%;
    position: relative;
    z-index: 5;
    display: flex;
    align-items: center;
    padding-top: 20%;
}

.newsletter-form-content::before {
    position: absolute;
    top: 0px;
    height: 15px;
    width: 100%;
    content: '';
    background-image: url('../assets/layout/triangle-white.svg');
    background-repeat: repeat-x;
    background-size: auto 13px;
    background-position: top center;
    z-index: 5;
}

.subscribe-button {
    border: none;
    position: relative;
    background-color: #09b0b8;
    z-index: 5;
    width: 80%;
    height: 55px;
    z-index: 6;
    transition: .5s;
    color: #ffffff;
    text-align: left;
    font-family: var(--font-2);
    font-size: 22px;
    padding-left: 10%;
}

.subscribe-button::before {
    width: 42px;
    height: 42px;
    position: absolute;
    content: '';
    right: 0px;
    background-color: #09b0b8;
    top: 6.5px;
    border-radius: 5px;
    transform: translate(20px, 0px) rotate(45deg);
    z-index: 5;
    transition: .5s;
}

.subscribe-button::after {
    width: 42px;
    height: 42px;
    position: absolute;
    content: '';
    right: 0px;
    background-color: #03e5e5;
    top: 6.5px;
    border-radius: 5px;
    transform: scale(.8) translate(19px, 0px) rotate(45deg);
    z-index: 3;
    transition: .5s;
}

.subscribe-button:hover {
    background-color: #05656a;
}

.subscribe-button:hover::before {
    background-color: #05656a;
}

.subscribe-button:hover::after {
    transform: translate(25px, 0px) rotate(45deg);
    z-index: 3;
}

.tittle-newsletter {
    font-family: var(--font-2);
    color: #ffffff;
    font-size: clamp(2rem, 3vw, 3rem);
    padding-left: 1.5rem;
}

.txt-general {
    font-family: var(--font-3);
    font-size: 13px;
    line-height: 15px;
    font-weight: 400;

}

.txt-general-sm {
    font-family: var(--font-3);
    font-size: 12px;
    line-height: 15px;
    font-weight: 400;

}

.txt-white {
    color: #ffffff;
}

.website-footer {
    color: #ffffff;
    font-family: var(--font-1);
    text-decoration: none;
    font-size: clamp(1.3rem, 3vw, 1.6rem);
    line-height: clamp(1.3rem, 3vw, 1.6rem);
}

.website-footer-box {
    border-right: 2px solid #ffffff;
    padding-top: 7px;
    padding-bottom: 7px;
    padding-right: 20px;
}

.social-icon {
    color: var(--pink);
    font-family: var(--font-1);
    text-decoration: none;
    font-size: clamp(1.3rem, 3vw, 1.6rem);
    line-height: clamp(1.3rem, 3vw, 1.6rem);
    margin: 4px;
    transition: .3s;
    display: block;
    width: 55px;
    height: 55px;
    background-color: #4f063e;
    border-radius: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 10px;
    margin-bottom: 10px;

}

.social-icon:hover {
    color: #ffffff;
    transform: scale(1.1);

}

.bg-purpple {
    background-color: var(--purple);
}

.footer-menu {
    list-style: none;
    margin: 0px;
    padding: 0px;
    border-left: 1px solid var(--pink);
    border-right: 1px solid var(--pink);
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: space-evenly;
    overflow: hidden;
}

.footer-menu li {
    display: block;
    border-bottom: 1px solid var(--pink);
    padding-left: 8%;
    padding-top: 3%;
    padding-bottom: 3%;
}

.footer-menu li:last-child {
    border: none;
}

.social-box {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.footer-menu li a {
    font-family: var(--font-2);
    text-decoration: none;
    text-transform: uppercase;
    color: #ffffff;
    font-size: clamp(1.4rem, 3vw, 2.5rem);
    display: inline-block;
    transition: .5s;
}

.footer-menu li a:hover {
    color: #e21e94;
    transform: translateX(10px);

}

.round-button {
    display: inline-block;
    padding-left: 35px;
    padding-right: 35px;
    height: 40px;
    border-radius: 30px;
    background-color: var(--purple);
    font-family: var(--font-2);
    color: #ffffff;
    line-height: 40px;
    text-decoration: none;
    transition: all ease 1s;
}

.round-button:hover {
    background-color: #350026;
}

.lang-button {
    color: #ffffff;
    font-family: var(--font-2);
    text-transform: uppercase;
    text-decoration: none;
    display: inline-block;
    margin-left: 10px;
    margin-top: 10px;
    padding-right: 12px;
    border-right: 1px solid var(--pink);
    font-size: 16px;
    line-height: 25px;
    transition: all ease .5s;

}

.lang-button:hover {
    color: var(--pink);

}

.social-tittle {
    color: #ffffff;
    font-family: var(--font-1);
    font-weight: 400;
    font-size: 20px;
    display: inline-block;
    margin-left: 5px;
}

.box-planner {
    background-color: var(--pink);
    padding-top: 45%;
    width: 80%;
    max-width: 400px;
    margin-left: auto;
    margin-right: auto;
}

header {
    position: relative;
    z-index: 100;

}

.menu-container {
    position: absolute;
    width: 100%;
    top: 0px;
    left: 0px;
    overflow: hidden;
    z-index: 70;
}

.fish-deco-menu-axis {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 101;
    width: 5px;
    height: 5px;

}

.fish-deco-menu {
    width: 38vw;
    height: auto;
    transform: translateY(-25%);
}

.menu-header-content {
    height: 100%;
    position: relative;
    z-index: 105;
}

.main-menu {
    list-style: none;
    padding-top: 20%;
    padding-bottom: 2%;
}

.shadow-menu {
    background-color: rgba(0, 0, 0, 0.604);
    position: fixed;
    z-index: 50;
    width: 100vw;
    height: 100vh;
}

.main-menu li a {
    font-family: var(--font-2);
    text-decoration: none;
    text-transform: uppercase;
    color: #ffffff;
    font-size: clamp(1.4rem, 2.7vw, 2.5rem);
    display: inline-block;
    transition: .5s;
    padding-top: 5px;
    padding-bottom: 5px;
}

.social-header {
    color: var(--pink);
    font-size: 22px;
    transition: all .5s;

}

.social-header:hover {
    color: #ffffff;

}

.close-menu-button {
    background-color: #6b014d;
    border: none;
    color: #e21e94;
    width: 110px;
    height: 35px;
    border-radius: 35px;
    font-size: 20px;
    transition: all .5s;
}

.close-menu-button:hover {
    background-color: #370128;
    color: #ffffff;
}

.menu-box {
    background-color: #89005d;
    overflow: hidden;
}

.active-page {
    display: flex;
    align-items: center;
}

.active-page::before {
    content: "\25B6";
    color: #e21e94;
    transform: translateX(-25px);

}

.main-menu li a:hover {
    color: #e21e94;
    transform: translateX(10px);

}

.active-page a {
    color: #e21e94 !important;
    cursor: default;
}

.active-page a:hover {
    transform: translateX(0px) !important;
}



.menu-planner-box {
    border-right: solid 1px var(--pink);
}

.pink-link {
    color: #e21e94;
    text-decoration: none;
    padding-bottom: 5px;
    margin-left: 5px;
    margin-right: 5px;
    transition: .5s;

}

.pink-link:hover {
    color: #ffffff;

}

.pink-link.hvr-underline-from-center:before {
    background: #4f063e !important;
    height: 2px;

}

.let-plan {
    font-family: var(--font-2);
    color: #ffffff;
    line-height: 30px;
    font-size: 22px;

}

.live-font {
    font-family: var(--font-4);
    color: var(--pink);
    margin-left: 8px;
    margin-right: 8px;
}

/* Underline From Center */
.hvr-underline-from-center {
    display: inline-block;
    vertical-align: middle;
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    position: relative;
    overflow: hidden;
}

.hvr-underline-from-center:before {
    content: "";
    position: absolute;
    z-index: -1;
    left: 51%;
    right: 51%;
    bottom: 0;
    background: #2098D1;
    height: 4px;
    transition-property: left, right;
    transition-duration: 0.3s;
    transition-timing-function: ease-out;
}

.hvr-underline-from-center:hover:before,
.hvr-underline-from-center:focus:before,
.hvr-underline-from-center:active:before {
    left: 0;
    right: 0;
}


@media (max-width: 575.98px) {}


@media (max-width: 767.98px) {

    .footer-menu {
        border-left: none;
    }

    .footer-experience-box {
        border-bottom: solid 1px var(--pink);
    }

    .newsletter-form-box {
        margin-top: 0px;
        height: auto;
        background-size: auto 230%;
        max-width: 100%;
    }

    .newsletter-form-content {
        padding-top: 5%;
    }

    .newsletter-form-content::before {
        display: none;
    }

}


@media (max-width: 991.98px) {

    .fish-deco-menu {
        width: 58vw;
    }

    .lang-button {
        margin-bottom: 6px;
        border-right: none;
        font-size: 15px;
        width: 110px;
        text-align: center;
        margin-left: 0px;
        margin-right: 0px;
        padding: 0px;
    }

    .menu-planner-box {
        border-right: none;
    }

    .footer-iz {
        display: block;
        width: 60%;
        margin-right: 0%;
        max-width: 350px;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 40px;
    }


}

@media (max-width: 1199.98px) {}


@media (max-width: 1399.98px) {}

@media (min-width: 992px) {
    .w-responsive-auto {
        width: auto !important;
    }



}